Subject: Re: [PATCH] arm64: mm: call pagetable dtor when freeing hot-removed page tables

From: Andrew Morton <[email-masked]>
Date: Tue, 2 Jun 2026 10:06:24 -0700

On Tue, 2 Jun 2026 14:12:17 +0100 Will Deacon <[email-masked]> wrote:

> > This patch is still floating around in mm.git awaiting some
> > finalization.  What to do?
> 
> >From what I can tell (assuming I've been following along correctly!):
> 
> 1. This patch improves the situation, so makes sense in its own right
> 2. There is additional work to be more consistent with the constructors
>    for page-table pages, which Kevin is going to look at but is probably
>    a little more long-term.
> 3. I'm happy to take this via arm64 but also have no issues with you taking
>    it via mm (so please shout if you want me to pick it up).

OK, thanks, no probs, just checking.  I'll include this in the next
hotfixes batch for Linus.